%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from	%{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	A weather plugin for the Xfce panel
Name:		xfce4-weather-plugin
Version:	0.11.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://docs.xfce.org/panel-plugins/xfce4-weather-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-weather-plugin/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64soup-devel
BuildRequires: lib64upower-glib-devel
BuildRequires: lib64xfce4panel2.0-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xfce4util-devel
BuildRequires: lib64xfconf-devel
BuildRequires: lib64xml2-devel

Requires:	xfce4-panel
Requires:	glib-networking

%description
This panel plugin shows the current temperature and weather condition,
using weather data provided by the Norwegian Meteorological Institute.

%prep
%setup -q

%build
#use wallys account for geonames service
export GEONAMES_USERNAME=wally_mageia
%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%{_datadir}/xfce4/weather/
%{_datadir}/xfce4/panel/plugins/weather.desktop
%{_libdir}/xfce4/panel/plugins/libweather.so
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/org.xfce.panel.weather.svg

%changelog
* Mon Mar 11 2024 tex - 0.11.2-1pclos2024
- new version

* Sat Apr 22 2023 tex - 0.11.1-1pclos2023
- new version

* Sat Feb 27 2021 tex - 0.11.0-1pclos2021
- new version 0.11.0
